## horaris 0.1-1

=== CMakeLists.txt ===
project(horaris)
cmake_minimum_required(VERSION 2.6)
find_package(Qt4 REQUIRED)

# add_subdirectory(icons) #still unsupported

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(horaris_SRCS xmlrpcparser.cpp horaris.cpp main.cpp horarisjobs.cpp)
qt4_automoc(${horaris_SRCS})
qt4_wrap_ui(horaris_SRCS horaris.ui history.ui)
add_executable(horaris ${horaris_SRCS})
# target_link_libraries(horaris ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY})
target_link_libraries(horaris ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY})

add_subdirectory(icons)

install(TARGETS horaris RUNTIME DESTINATION bin)

if(DEFINED MAEMO)
        install(FILES horaris.desktop DESTINATION share/applications/hildon/ )
else(DEFINED MAEMO)
        install(FILES horaris.desktop DESTINATION share/applications)
endif(DEFINED MAEMO)

=== icons/CMakeLists.txt ===
if(DEFINED MAEMO)
	set(type "hildon")
else(DEFINED MAEMO)
	set(type "apps")
endif(DEFINED MAEMO)

install(FILES Rodalia.png DESTINATION share/horaris/)
install(FILES Mitja.png DESTINATION share/horaris/)
install(FILES Llarga.png DESTINATION share/horaris/)
install(FILES renfe.png DESTINATION share/horaris/)
install(FILES fgc.png DESTINATION share/horaris/)


install(FILES hi16-horaris.png DESTINATION share/icons/hicolor/16x16/${type}/ RENAME horaris.png)
install(FILES hi26-horaris.png DESTINATION share/icons/hicolor/26x26/${type}/ RENAME horaris.png)
install(FILES hi32-horaris.png DESTINATION share/icons/hicolor/32x32/${type}/ RENAME horaris.png)
install(FILES hi40-horaris.png DESTINATION share/icons/hicolor/40x40/${type}/ RENAME horaris.png)
install(FILES hi48-horaris.png DESTINATION share/icons/hicolor/48x48/${type}/ RENAME horaris.png)
install(FILES hi64-horaris.png DESTINATION share/icons/hicolor/64x64/${type}/ RENAME horaris.png)
install(FILES hi128-horaris.png DESTINATION share/icons/hicolor/128x128/${type}/ RENAME horaris.png)
install(FILES horaris.svg DESTINATION share/icons/scalable/${type}/ RENAME horaris.svg)

=== debian/changelog ===
horaris (0.1-1) unstable; urgency=low

  * Initial release for horaris 

 -- Victor Blazquez Francisco <victor.blazquez@gmail.com>  Thu, 28 Oct 2010 00:41:45 +0200

=== debian/control ===
Source: horaris
Section: user/utilities
Priority: extra
Maintainer: Victor Blazquez Francisco <victor.blazquez@gmail.com>
Build-Depends: debhelper (>= 5), cmake (>= 2.6), libqt4-dev (>= 4.6)
Standards-Version: 3.7.2

Package: horaris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core (>= 4.6), libqt4-network (>= 4.6), libqt4-network (>= 4.6), libqt4-xml (>= 4.6)
Description: A program to follow train schedules in catalonia
 A program to follow train schedules in catalonia
XSBC-Bugtracker: mailto:aleixpol@kde.org
XB-Maemo-Display-Name: Horaris
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAACgAAAAnCAYAAAB9qAq4AAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAOxAAADsQBlSsOGwAAB9FJREFUWIXFmNtvXNUVxn9r
 733OzPh+txMndkiUkDTkBmmSIjUFWglVKqUVSFUlhIp64ZWn9oFKtEK88Q9U
 tGqrglRFiD5wERUgSgWUJqRJExIgd+zYiRPH8d1zbnv3YQ9jjz3B4xCVJY1m
 zpmz1/rO2muv79tbANzb3zIT52d2ZVYeVfAQyCq+AnO4FMcrVsmT7QMHT8lv
 SeXtpzA7enc/KUr95qsAVdUcs4h7tmWw7mkZfW7vFo09hEj9V41roTmHw2Y7
 jCJ7BlE3AU5AB6BDRBkQDSaPiMKlRbAp2BSXxWATcHZl3gVxIo8YcfIdZCUj
 NRLWI/XdmO7tmNVfx7RtRAptiCmACC6NcMVxsokLpJf+Q3rpMHZqCBdNebA1
 x1IPy9jv9xQFcjU8jISN6PZNhJsewKy9GxU21hTHZTHpyDHiT/5GOnIMN3cN
 XLb8OIhMTRGUQbXcRu72Bwk23I/KNS3y5HA4sNn8y4gC8VMjOiRYvRvTvY10
 8H2iEwdIR09CWlw29PIAdQ7TvZ3c9kcJevcswGQhLeKiSVw8g4un/cdlqLAB
 CRsgrEfCJiSoQ5RGdI5g3b2olnUUj/6JdPA9XDztc3VTAHWOYM0+8nc9jm7d
 UALmIJklmxoiu3KcdPgg6ZUTuNmrFUMlbER3bPY12rMT1dyPhI2I0uiW2yjs
 fYJi2Ehy9nVcPHUTAJVBd24lv+tn8+Bsipu5SnLxX8RnXiO7emJ+dQZ1qIbV
 iDLY6WFcNEk6fIh0+BCquY9g/f0E6+5BN/chOkQVWsnvfAwXT5J89s4Np1v/
 6vu9v5YlQAXVtJbCXb/A9Ozy4LIEO3GB6OQBouMv4KaGWDg1ZvVuCnufINxw
 P3Z2FDt+vvy/iybIRo5iZ6+h6jtRhTZEGSSoQzf3k41+WpqBJVOdqaqwgwLB
 unsJ1t5dylyGnRygeOx54o9fgnR20fsIum0jpnMLuqUf3bHZ1+BCc5b0s39Q
 PPIH0qsnfH8EdOt6clseQgqtVaEsBSgK3dxHuOkBQPwKnRsjPvUyyfk3gWoN
 V0CU/4Bv3Kp69WSXDhOdOICdGPQLDQj692O6toMKagBo8gT996Cb1vgXzyLS
 y0eITr3s2eEWWDrwT5KBd3zjBsTkCW//AZJb2leXAJSgAdO33184h529Snzm
 dYinbwk479cSn/07dnIQV+qdpmcnqmFVeRaqAxSNblqLbukv+Umx4xdIL314
 68CVzI5fILtyHNI5H9rk/IJcNM2L4Bp09x2+hgCXzJCOHIcsuuUAAZLhQ9ho
 vgfqrm2IrgRYWclKoxp756/TItn1syuPLApRGqcMUKK8KoomG/0UkvmOoBp6
 vCq6EUARhSq0la+dTTyxr9B0+2bCrT+CpFjiY8FGE6SD72In5/uni8ZxWYRz
 DhHxsRfV4KJeoJBggTS0FpfMrRig6dqK6dpacc/F0xRdRnz6NVwyU/Kfgo1L
 gMXHlkrtt2gVO9zCehNBdLhigNVNfG9cmCFRIMb/h29puEo2qcigcxY3d33+
 hjI37PAV5hzZtU+JPnkJrAWsb/DOf+MsbtZzeDl7eEEhJo+Usubmri+p08op
 dhl2+vK8A5NHNffD0L+XQ0g6cswvqDIoVwaKc7h0bomaVq0bwBTK13b2yjIA
 bUo2etI/JL4eTdcdxCdfpDrFLbBkpiI7tZhZtauCs7PRT3CL2KqyBm1Kdv0s
 2edZ1CG6dQO6Y8uKAtdiUteB6dmFhPXl2Onwh1ASEdUBgtdxQwe9ExFUwyrC
 jd+tSuRfxoJ196Fb1pdJIRs7QzY5sGSvshRgMkdy7g1sNFnyVMD07iHo++Yt
 A6c7thDe9m0k3+xvWEt06mVccXLJs0vVjMvIxk6TnHsTKDXvhlWEWx5Gl8Tr
 lzHVuIbcHT9Gt28qZy8ZOUo69EFVSq0qWF08RXz6FbIxT3OiQ0zXVvI7HsP0
 7oMVbaQXBGvbSP7OnxKsvdvvoQE7d534xAHs9BWqbZ6qq0pnycbOUDz6Rwr7
 nkDVdSAmj+nZieQaiJv7SM6/VTsNmgLB2m8QbnoQ070NMXV+g59FRMefJ710
 uMQoVYbe0GkWkQ59QPHYn8nv+jkq14SYHLr9dvL13QRr9pEMvEs6fAg7NVT1
 aEPqOjHdOwj696M7t6Lqu8rM5GxKfPIl4nNvfOGubpmTBUFyTZj+/eR3/KSs
 sj0lpn5PXLyOnR7GTg3joimcs0jYgKrvRjWuRhXa/WLQuTJj2HiK6KO/Ep9+
 FTczcsNzmxpOFhwumiA59yZuZpTc9kcIeu4EpRAdIHXtuEKbZxsbl9WxiPIH
 SyrwvxdYNnaW6PgLJBffxxXH+aJNO9RysgCQzpFe+hA7NUjSu5fc5h+i2zaW
 wHx+yhV84dKxM1eIT79KfP4t7MRAzSJYxp7bc1aE9TU9jYAOUXWd6M6vYdbs
 w/TciW7oWSKTwK/Q7OpHpBc/ILl8xPN8MstyWZt34KYMzr6IqF/WNsJBFmGn
 LmJnRkgG30NMAck3oQodSKENlMIVx3Gzo9jiOCRzXkZlSe3APo8mvCVjv7tr
 G0r/V+Qmmxvg98Uyr/VKEmulgCrRuZkslT2qdbjhYy3uaRyzy4+6oTcPqHSq
 6vn0S4ADwD7bfvngKQFwT2Gu9e3ZpKx7BuF74mXu/92cs5dF5MXM2b9csBzZ
 /fjh5H+u63Toawi9YwAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	mkdir build && cd build && cmake ../ -DCMAKE_INSTALL_PREFIX=$(CURDIR)/debian/horaris/usr -DCMAKE_BUILD_TYPE=Release -DMAEMO=true && $(MAKE)
	#docbook-to-man debian/horaris.sgml > horaris.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean
	rm -rf build

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/horaris.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/horaris install
	cd build && $(MAKE) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
